bcompiler_write_exe_footer
bcompiler_write_footer
bcompiler Functions
PHP Manual

# bcompiler_write_file

(PECL bcompiler:0.6-0.8)

bcompiler_write_file — Writes a php source file as bytecodes

### Description

bool bcompiler_write_file ( resource `$filehandle` , string `$filename` )

This function complies specified source file into bytecodes, and writes them to the open file handle.

### Parameters

`filehandle`

  A file handle as returned by fopen().

`filename`

  The source file path, as a string.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

Example #1 bcompiler_write_file() example

`<?php
$fh = fopen("example.phb", "w");
bcompiler_write_header($fh);
bcompiler_write_file($fh, "example.php");
bcompiler_write_footer($fh);
fclose($fh);
/* the following should be equivalent:
include "example.php";
and
include "example.phb";
*/
?>`

### Notes

Warning

This function is EXPERIMENTAL. The behaviour of this function, its name, and surrounding documentation may change without notice in a future release of PHP. This function should be used at your own risk.

### See Also

- bcompiler_write_header()
- bcompiler_write_footer()

bcompiler_write_exe_footer
bcompiler_write_footer
bcompiler Functions
PHP Manual